<?php
include("../config.php3");
include($BIB."bib_generic.php3");
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Joueurs actifs</div>
<br>
<?php
if ($submit=="Valider")
{
	# nb de matchs
	$rows = main_db_query("SELECT COUNT(*) AS total FROM Matchs WHERE Date<'".$Stop."' AND Date>'".$Start."'");
	$row = db_fetch_array($rows);
	echo "<hr>Nb de matchs à parier dans la période donnée : <b>".$row['total']."</b>";

	# nb de paris total
	$rows = main_db_query("SELECT COUNT(*) AS total FROM Paris WHERE Date<'".$Stop."' AND Date>'".$Start."'");
	$row = db_fetch_array($rows);
	echo "<hr>Nb de paris enregistrés dans la période donnée : <b>".$row['total']."</b>";

	# nb de paris pour les nouveaux joueurs actifs (inscrits pendant la période)
	$rows = main_db_query("SELECT COUNT(*) AS total FROM Paris ".
		" LEFT JOIN Players ON Players.Id=Paris.PlayerId".
		" LEFT JOIN Members ON Members.Id=Players.MemberId".
		" WHERE ".
		" Members.Time > '".$Start."' AND ".
		" Date<'".$Stop."' AND Date>'".$Start."'");
	$row = db_fetch_array($rows);
	echo "<hr>Nb de paris enregistrés par les <b>nouveaux</b> joueurs actifs : <b>".$row['total']."</b>";

	# nb de paris pour les anciens joueurs actifs (inscrits pendant la période)
	$rows = main_db_query("SELECT COUNT(*) AS total FROM Paris ".
		" LEFT JOIN Players ON Players.Id=Paris.PlayerId".
		" LEFT JOIN Members ON Members.Id=Players.MemberId".
		" WHERE ".
		" Members.Time < '".$Start."' AND ".
		" Date<'".$Stop."' AND Date>'".$Start."'");
	$row = db_fetch_array($rows);
	echo "<hr>Nb de paris enregistrés par les <b>anciens</b> joueurs actifs : <b>".$row['total']."</b>";

	# nb de joueurs actifs
	$rows = main_db_query("SELECT DISTINCT(PlayerId) FROM Paris WHERE Date<'".$Stop."' AND Date>'".$Start."'");
	echo "<hr>Nb de joueurs actifs (ayant fait au moins 1 pari) dans la période donnée : <b>".db_num_rows($rows)."</b>";
	
	# nb de nouveaux joueurs actifs (inscrits pendant la période)
	$rows = main_db_query("SELECT DISTINCT(PlayerId) FROM Paris ".
		" LEFT JOIN Players ON Players.Id=Paris.PlayerId".
		" LEFT JOIN Members ON Members.Id=Players.MemberId".
		" WHERE ".
		" Members.Time > '".$Start."' AND ".
		" Date<'".$Stop."' AND Date>'".$Start."'");
	echo "<hr>Nb de <b>nouveaux</b> joueurs actifs (ayant fait au moins 1 pari) dans la période donnée : <b>".db_num_rows($rows)."</b>";
}
?>
<hr>
<form>
<b>Date début : </b>
<br>
<input type="text" name="Start" value="<?php echo $Start ?>">AAAA-MM-JJ HH:MM:SS<br>
<br><br>
<b>Date fin : </b>
<br>
<input type="text" name="Stop" value="<?php echo $Stop ?>">AAAA-MM-JJ HH:MM:SS<br>
<br><br>
<input type=submit name=submit value="Valider">
</form>

